Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rs
Interface RegistryResponseType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  AdhocQueryResponseType, CatalogContentResponseType, ContentManagementServiceResponseType, ValidateContentResponseType

All Known Implementing Classes:
  AdhocQueryResponseTypeImpl, CatalogContentResponseTypeImpl, ContentManagementServiceResponseTypeImpl, RegistryResponseTypeImpl, ValidateContentResponseTypeImpl

    public interface RegistryResponseType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Response Type'. Base type for all ebXML Registry responses

The following features are supported:

- `Response Slot List`
- `Registry Error List`
- `Request Id`
- `Status`

See Also:
  `RegistryPackage.getRegistryResponseType()`

Method Summary
`RegistryErrorListType` | `getRegistryErrorList()` Returns the value of the 'Registry Error List' containment reference.
`java.lang.String` | `getRequestId()` Returns the value of the 'Request Id' attribute.
`SlotListType` | `getResponseSlotList()` Returns the value of the 'Response Slot List' containment reference.
`java.lang.String` | `getStatus()` Returns the value of the 'Status' attribute.
`void` | `setRegistryErrorList(RegistryErrorListType value)` Sets the value of the '`Registry Error List`' containment reference.
`void` | `setRequestId(java.lang.String value)` Sets the value of the '`Request Id`' attribute.
`void` | `setResponseSlotList(SlotListType value)` Sets the value of the '`Response Slot List`' containment reference.
`void` | `setStatus(java.lang.String value)` Sets the value of the '`Status`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getResponseSlotList

    SlotListType getResponseSlotList()

  Returns the value of the 'Response Slot List' containment reference.

  If the meaning of the 'Response Slot List' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Response Slot List' containment reference.
  See Also:
    `setResponseSlotList(SlotListType)`, `RegistryPackage.getRegistryResponseType_ResponseSlotList()`

### setResponseSlotList

    void setResponseSlotList(SlotListType value)

  Sets the value of the '`Response Slot List`' containment reference.

  Parameters:
    `value` - the new value of the 'Response Slot List' containment reference.
  See Also:
    `getResponseSlotList()`

### getRegistryErrorList

    RegistryErrorListType getRegistryErrorList()

  Returns the value of the 'Registry Error List' containment reference.

  If the meaning of the 'Registry Error List' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Error List' containment reference.
  See Also:
    `setRegistryErrorList(RegistryErrorListType)`, `RegistryPackage.getRegistryResponseType_RegistryErrorList()`

### setRegistryErrorList

    void setRegistryErrorList(RegistryErrorListType value)

  Sets the value of the '`Registry Error List`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Error List' containment reference.
  See Also:
    `getRegistryErrorList()`

### getRequestId

    java.lang.String getRequestId()

  Returns the value of the 'Request Id' attribute.

  If the meaning of the 'Request Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Request Id' attribute.
  See Also:
    `setRequestId(String)`, `RegistryPackage.getRegistryResponseType_RequestId()`

### setRequestId

    void setRequestId(java.lang.String value)

  Sets the value of the '`Request Id`' attribute.

  Parameters:
    `value` - the new value of the 'Request Id' attribute.
  See Also:
    `getRequestId()`

### getStatus

    java.lang.String getStatus()

  Returns the value of the 'Status' attribute.

  If the meaning of the 'Status' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Status' attribute.
  See Also:
    `setStatus(String)`, `RegistryPackage.getRegistryResponseType_Status()`

### setStatus

    void setStatus(java.lang.String value)

  Sets the value of the '`Status`' attribute.

  Parameters:
    `value` - the new value of the 'Status' attribute.
  See Also:
    `getStatus()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD